users
Create Api Key
Create a new API key for the current user.
The raw key is returned ONCE in the response. It cannot be retrieved again.
POST
/
v1
/
users
/
me
/
api-keys
Create Api Key
curl --request POST \
--url https://api.superdocs.app/v1/users/me/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.superdocs.app/v1/users/me/api-keys"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.superdocs.app/v1/users/me/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"key": "<string>",
"key_prefix": "<string>",
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Create a new API key.
A label for this key (e.g., 'My App', 'CI Pipeline').
Required string length:
1 - 255Response
Successful Response
Newly created API key. The raw key is shown only once — save it immediately.
Key identifier (UUID). Use this to revoke the key later.
Label you assigned to this key.
The full API key (sk_... format). Copy this now — it cannot be retrieved again.
First 7 characters of the key (e.g., 'sk_a1b2') for identification.
ISO 8601 timestamp when the key was created.
⌘I
Create Api Key

